> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a deep link to a specific E-Verify case in the embedded UI

> Generate a deep link to a specific E-Verify case in the embedded UI



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml get /v1/employers/{employerId}/admins/{adminId}/everifyCases/{id}/generateUri
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /v1/employers/{employerId}/admins/{adminId}/everifyCases/{id}/generateUri:
    get:
      tags:
        - Admin
      summary: Generate a deep link to a specific E-Verify case in the embedded UI
      description: Generate a deep link to a specific E-Verify case in the embedded UI
      operationId: generateSinglePageEverifyCaseUri
      parameters:
        - in: path
          name: employerId
          required: true
          schema:
            type: string
        - in: path
          name: adminId
          required: true
          schema:
            type: string
        - description: >-
            The numeric id field from the e-verify case response — not the
            everifyCase.caseId string
          in: path
          name: id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              examples:
                Deep link to a specific E-Verify case:
                  description: Deep link to a specific E-Verify case
                  summary: >-
                    E-Verify single case URI with navigation links provided via
                    HTTP headers
                  value:
                    token:
                      authenticateUri: >-
                        https://example-subdomain.example.com/sign_in_with_token?token=36eca554c8bd8200fb0cc2cebf204bdf
                      embeddedUri: https://example-subdomain.example.com/everify/cases/123
              schema:
                $ref: '#/components/schemas/AdminEverifyCaseUriResponse'
          description: OK
        '400':
          description: Bad Request
        '404':
          description: Resource not found
      security:
        - AuthenticationToken: []
components:
  schemas:
    AdminEverifyCaseUriResponse:
      description: Admin E-Verify Case URI response
      properties:
        token:
          $ref: '#/components/schemas/TokenInfo'
          description: Token information containing authentication and embedded URIs
      type: object
    TokenInfo:
      description: Token information containing authentication and embedded URIs
      properties:
        authenticateUri:
          description: >-
            URI to authenticate the user with a token. Navigate to this URL to
            sign in automatically.
          example: >-
            https://example-subdomain.workbright.com/sign_in_with_token?token=36eca554c8bd8200fb0cc2cebf204bdf
          type: string
        embeddedUri:
          description: URI for the embedded view or target page after authentication
          example: https://example-subdomain.workbright.com/everify/cases
          type: string
      type: object
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````